/// @file ProgramOutput.hpp
/// @author Franck Dary
/// @version 1.0
/// @date 2019-02-12

#ifndef PROGRAMOUTPUT__H
#define PROGRAMOUTPUT__H

#include <vector>
#include <string>
#include <cstdio>

struct ProgramOutput
{
  private :

  std::vector< std::vector< std::pair<std::string, float> > > matrix;

  public :

  static ProgramOutput instance;

  public :

  void print(FILE * output);
  void addLine(FILE * output, const std::vector< std::pair<std::string, float> > & line, unsigned int index);
};

#endif

